{% extends "base.html" %}

{% block extrahead %}
    {% load staticfiles %}
{% endblock %}

{% block title %}Edit Customer{% endblock %}
{% block customer_active %}active{% endblock %}
{% block parent_customer_a_active %}active{% endblock %}
{% block parent_customer_i_active %}active{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-sm-12">
            <section class="panel panel-content">
                <header class="panel-heading" style="font-size: 20px">
                    Edit Customer
                </header>
                <div class="panel-body">
                    <form class="form-horizontal" action="" role="form" method="post"
                          enctype="multipart/form-data">
                        {% csrf_token %}
                        <div class="form-group">
                            <label for="account_group" class="col-lg-2 col-sm-2 control-label">Membership<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.number }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="account_group" class="col-lg-2 col-sm-2 control-label">Area<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.area }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="name" class="col-lg-2 col-sm-2 control-label">Name<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.name }}
                                <h4 class="text-danger"></h4>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="email" class="col-lg-2 col-sm-2 control-label">Email<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-9">
                                {{ form_info.email }}
                            </div>
                            <div class="col-lg-1">
                                <button type="button" class="btn btn-primary" id="btnSwitchEmail"
                                        onclick="switchEditMode('btnSwitchEmail','id_email');" data-toggle="button"
                                        aria-pressed="false"
                                        autocomplete="off">
                                    Enable
                                </button>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="phone" class="col-lg-2 col-sm-2 control-label">Phone<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-9">
                                {{ form_info.phone }}
                            </div>
                            <div class="col-lg-1">
                                <button type="button" class="btn btn-primary" id="btnSwitchPhone"
                                        onclick="switchEditMode('btnSwitchPhone','id_phone');" data-toggle="button"
                                        aria-pressed="false"
                                        autocomplete="off">
                                    Enable
                                </button>
                            </div>
                        </div>
                        <div class="form-group hidden">
                            <label for="login_password" class="col-lg-2 col-sm-2 control-label">Password<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.login_password }}
                            </div>
                        </div>
                        <div class="form-group hidden">
                            <label for="title" class="col-lg-2 col-sm-2 control-label">Age<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.age }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="id_birthday" class="col-lg-2 col-sm-2 control-label">Birthday<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.birthday }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="from_date" class="col-lg-2 col-sm-2 control-label">Sex<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.sex }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="to_date" class="col-lg-2 col-sm-2 control-label">Address</label>
                            <div class="col-lg-10">
                                {{ form_info.address }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="point" class="col-lg-2 col-sm-2 control-label">Current Point<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-10">
                                {{ form_info.current_point }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="total_point" class="col-lg-2 col-sm-2 control-label">Life Point</label>
                            <div class="col-lg-10">
                                {{ form_info.total_point }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="num_visit" class="col-lg-2 col-sm-2 control-label">Number of Visit</label>
                            <div class="col-lg-10">
                                {{ form_info.num_visit }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="level_up_date" class="col-lg-2 col-sm-2 control-label">Level Up Date</label>
                            <div class="col-lg-10">
                                {{ form_info.level_up_date }}
                            </div>
                        </div>
                        <div class="form-group hidden">
                            <label for="is_mail_notify" class="col-lg-2 col-sm-2 control-label">EMail Notify<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-4">
                                {{ form_info.is_mail_notify }}
                            </div>
                        </div>
                        <div class="form-group hidden">
                            <label for="is_sms_notify" class="col-lg-2 col-sm-2 control-label">SMS Notify<span
                                    class="span-required">(*)</span></label>
                            <div class="col-lg-4">
                                {{ form_info.is_sms_notify }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="image_path" class="col-lg-2 col-sm-2 control-label">Image</label>
                            <div class="col-lg-4">
                                <input id="image_path"
                                    name="image_path"
                                    class="dropify image_path"
                                    {% if customers.image_path %}
                                    data-default-file="{% static 'media/' %}{{ customers.image_path }}"
                                    {% endif %}
                                    type="file"
                                    data-max-file-size="3M"
                                    data-show-remove="false"
                                    data-min-width="400"
                                    data-max-width="1080"
                                    data-allowed-file-extensions="png jpg jpeg"/>
                                <p class="text-primary">* Please choose image with width between 400px and 1080px</p>
                            </div>
                        </div>
                        <div class="form-group hidden">
                            <div class="col-lg-2">

                            </div>
                            <div class="col-lg-10">
                                <div class="checkbox checkbox-primary">
                                    <input name="isDelete" id="checkbox-03" class="styled" type="checkbox"
                                           {% if customers.is_delete == 0 %}checked{% endif %}/>
                                    <label for="checkbox-03">
                                        Active
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group bottom-group">
                            <div class="col-lg-offset-2 col-lg-10">
                                <button type="submit" class="btn btn-success">Update
                                </button>
                                <a type="submit" class="btn btn-default" href="{% url 'customers_list' %}">Cancel</a>
                            </div>
                        </div>
                    </form>
                </div>
            </section>
        </div>
    </div>
{% endblock %}

{% block extrafoot %}
    <script type="text/javascript">
        //$('#id_week_days').select2();
        //updateSelect2Noblank(week_days, "id_week_days",1);
        //# Set readonly for special field
        _disable_lst = ["id_email", "id_phone"];
        isDisabled(_disable_lst);
    </script>
{% endblock %}
